import { Condition, Model } from './index';
import fc from 'fast-check';
export declare const nonEmptyString: () => fc.Arbitrary<string>;
export declare const id: () => fc.Arbitrary<string>;
export declare const nonModelObject: () => fc.Arbitrary<unknown>;
export declare const modelBase: () => fc.Arbitrary<Model>;
export declare const modelData: () => fc.Arbitrary<object>;
export declare const model: () => fc.Arbitrary<Model>;
export declare const modelAndUpdate: () => fc.Arbitrary<[Model, Model]>;
export declare const operation: () => fc.Arbitrary<FirebaseFirestore.WhereFilterOp>;
export declare const condition: () => fc.Arbitrary<Condition>;
export declare const modelAndConditions: () => fc.Arbitrary<[Model, Condition[]]>;
export declare const models: () => fc.Arbitrary<Model[]>;
export declare const table: () => fc.Arbitrary<string>;
